Agora RTC Objective-C API Reference Refactor

Data Fields
DirectCdnStreamingMediaOptions Struct Reference

## Data Fields
Optional< bool > | publishCameraTrack
Optional< bool > | publishMicrophoneTrack
Optional< bool > | publishCustomAudioTrack
Optional< bool > | publishCustomVideoTrack
Optional< bool > | publishMediaPlayerAudioTrack
Optional< int > | publishMediaPlayerId
Optional< video_track_id_t > | customVideoTrackId

## Detailed Description

The channel media options.

## Constructor & Destructor Documentation

## ◆ DirectCdnStreamingMediaOptions()

DirectCdnStreamingMediaOptions | ( |  | ) |
| inline

## ◆ ~DirectCdnStreamingMediaOptions()

~DirectCdnStreamingMediaOptions | ( |  | ) |
| inline

## Member Function Documentation

## ◆ SetAll()

void SetAll | ( | const DirectCdnStreamingMediaOptions & | change | ) |
| inline

## ◆ operator==()

bool operator== | ( | const DirectCdnStreamingMediaOptions & | o | ) | const
| inline

## ◆ operator=()

DirectCdnStreamingMediaOptions& operator= | ( | const DirectCdnStreamingMediaOptions & | replace | ) |
| inline

## Field Documentation

## ◆ publishCameraTrack

Optional<bool> publishCameraTrack

Determines whether to publish the video of the camera track.

- true: Publish the video track of the camera capturer.
- false: (Default) Do not publish the video track of the camera capturer.

## ◆ publishMicrophoneTrack

Optional<bool> publishMicrophoneTrack

Determines whether to publish the recorded audio.

- true: Publish the recorded audio.
- false: (Default) Do not publish the recorded audio.

## ◆ publishCustomAudioTrack

Optional<bool> publishCustomAudioTrack

Determines whether to publish the audio of the custom audio track.

- true: Publish the audio of the custom audio track.
- false: (Default) Do not publish the audio of the custom audio track.

## ◆ publishCustomVideoTrack

Optional<bool> publishCustomVideoTrack

Determines whether to publish the video of the custom video track.

- true: Publish the video of the custom video track.
- false: (Default) Do not publish the video of the custom video track.

## ◆ publishMediaPlayerAudioTrack

Optional<bool> publishMediaPlayerAudioTrack

Determines whether to publish the audio track of media player source.

- true: Publish the audio track of media player source.
- false: (Default) Do not publish the audio track of media player source.

## ◆ publishMediaPlayerId

Optional<int> publishMediaPlayerId

Determines which media player source should be published. You can get the MediaPlayerId after calling getMediaPlayerId() of AgoraMediaPlayer.

## ◆ customVideoTrackId

Optional<video_track_id_t> customVideoTrackId

The custom video track id which will used to publish. You can get the VideoTrackId after calling createCustomVideoTrack() of IRtcEngine.